Bug 239867

Summary: www/minio: Switch to USES=go:modules, fix build with go1.13
Product: Ports & Packages Reporter: Dmitri Goutnik <dmgk>
Component: Individual Port(s)Assignee: Tobias Kortkamp <tobik>
Status: Closed FIXED    
Severity: Affects Only Me CC: swills
Priority: --- Flags: tobik: maintainer-feedback-
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch file dmgk: maintainer-approval? (swills)

Description Dmitri Goutnik freebsd_committer 2019-08-14 20:53:17 UTC
Created attachment 206559 [details]
patch file

===>  Building for minio-2019.06.15.23.07.18
$GOPATH/go.mod exists but should not
*** Error code 1

- Switch to USES=go:modules, this also fixes the build with go1.13
- Remove custom targets

QA:
  poudriere testport: OK (120a-go1.12.8, 120a-go-devel)
Comment 1 commit-hook freebsd_committer 2019-08-30 13:08:36 UTC
A commit references this bug:

Author: tobik
Date: Fri Aug 30 13:08:19 UTC 2019
New revision: 510271
URL: https://svnweb.freebsd.org/changeset/ports/510271

Log:
  www/minio: Switch to USES=go:modules, fix build with go1.13

  - Remove custom targets

  ===>  Building for minio-2019.06.15.23.07.18
  $GOPATH/go.mod exists but should not
  *** Error code 1

  PR:		239867
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	swills (maintainer timeout, 15 days)

Changes:
  head/www/minio/Makefile